Subject: [bug#70112] #66887: guix-podman missing catatonit binary

From: Wilke Schwiedop <[email-masked]>
Date: Thu, 4 Apr 2024 08:51:08 +0000

Hello Tomas,

absolutely no issues to report. Works like a charm. 😊

Wilke

-----Original Message-----
From: Tomas Volf <[email-masked]> 
Sent: Montag, 1. April 2024 17:31
To: Wilke Schwiedop <[email-masked]>
Subject: Re: #66887: guix-podman missing catatonit binary

On 2024-04-01 15:20:28 +0000, Wilke Schwiedop wrote:
> Hi Tomas,
>
> I just read the patch series. That solution to podman's binary-lookup 
> looks very clean. 😊
> I've run podman-5 with a slightly more advanced deployment (a paperless-ngx instance: ppl-ngx, redis, pause-container) which worked without any problems.

Happy to hear that.

> Tue or Wed I'll test the setup we're running at work, which includes all steps from building to pushing to running a deployment of 8 (or 9?) different containers.
> I'll report back to you.

Looking forward to it.

>
> A question though: podman uses iptables, which requires the kernel module ip_tables to be loaded. Do you happen to know if there is a way to specify the module as a dependency?
> Like "if iptables is in profile: modprobe ip_tables"?

Sadly I do not know of a way to specify dependency like that.  It is further complicated by the fact that the user installing the podman package might not even have permissions to load the module.

This actually caused me some problems and I had to load the ip_tables manually (I normally have just nf_tables loaded) using sudo when I was trying to test it.

I am not sure what the solution should be here...

Tomas

--
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.